> For the complete documentation index, see [llms.txt](https://docs.wisej.com/ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/ai/components/api/smartadapter/wisej.ai.smartadapter.fieldnameattribute.md).

# SmartAdapter.FieldNameAttribute

Namespace: **Wisej.AI**

Assembly: **Wisej.AI** (3.5.0.0)

Represents an attribute that can be used to specify a custom field name for a property or control.

{% tabs %}
{% tab title="C#" %}

```csharp
public class FieldNameAttribute : Attribute
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class FieldNameAttribute
    Inherits Attribute
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/ptrKjmmRoQB76pvrIqh0) FieldNameAttribute(name)

Initializes a new instance of the [FieldNameAttribute](/ai/components/api/smartadapter/wisej.ai.smartadapter.fieldnameattribute.md) class with the specified field name.

| Name     | Type                                                          | Description                                                    |
| -------- | ------------------------------------------------------------- | -------------------------------------------------------------- |
| **name** | [String](https://docs.microsoft.com/dotnet/api/system.string) | The custom field name to associate with the property or field. |

## Properties

### ![](/files/ptrKjmmRoQB76pvrIqh0) Name

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets the custom field name associated with the property or control.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/ai/components/api/smartadapter/wisej.ai.smartadapter.fieldnameattribute.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
